__HANDLE_DOMAIN_IRQ(9)

NAME
__handle_domain_irq - Invoke the handler for a HW irq belonging to a domain

SYNOPSIS

int __handle_domain_irq(struct irq_domain * domain, unsigned int hwirq, bool lookup, struct pt_regs * regs);

ARGUMENTS

domain
    The domain where to perform the lookup

hwirq
    The HW irq number to convert to a logical one

lookup
    Whether to perform the domain lookup or not

regs
    Register file coming from the low-level handling code

RETURNS

0 on success, or -EINVAL if conversion has failed

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT